Bug 613003 - Facts.json error
Summary: Facts.json error
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager   
(Show other bugs)
Version: 6.1
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Pradeep Kilambi
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 568421
TreeView+ depends on / blocked
 
Reported: 2010-07-09 13:49 UTC by Bryan Kearney
Modified: 2011-05-19 13:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 13:37:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Bryan Kearney 2010-07-09 13:49:02 UTC
Run this command:

[root@localhost subscription-manager]# ./rhsm/subscription-manager-cli register --force --username admin --password admin  

See this output. 

[Errno 2] No such file or directory: '/var/lib/rhsm/facts/facts.json'
f04d2299-e084-4929-b796-482129856ef7 admin admin

I think it should create it if not there.

Comment 1 Adrian Likins 2010-07-09 14:18:36 UTC
Probably should create it in that case, but the rpm will create it as well.

Comment 2 Adrian Likins 2010-07-09 14:58:01 UTC
Should be fixed in commit c315cd0669e9f19ad11fe451d38eac4b92ac0ad0

Comment 3 spandey 2010-07-14 13:40:58 UTC
Tested with Sm version 67 
Candlepin : IT Env (candlepin1), standalone 

Working Fine 

after registration “facts.json” sucessfully generated at location 
/var/lib/rhsm/facts/


so i moving defect state from ON_QA to verified

Comment 4 errata-xmlrpc 2011-05-19 13:37:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.